APM for ELF compiled kernels?

APM for ELF compiled kernels?

Post by Tony Robins » Sat, 02 Dec 1995 04:00:00



Has anyone got APM (ftp://tsx-11.mit.edu/pub/linux/packages/laptops/apm)
working for an ELF compiled kernel?

The obvious problem is symbol reference from assembler that has an
underscore appended - removing the underscore allows the patched kernel
to compile but it bombs out on booting...

Tony Robinson

 
 
 

APM for ELF compiled kernels?

Post by Kenneth E. Hark » Sun, 03 Dec 1995 04:00:00




> Has anyone got APM (ftp://tsx-11.mit.edu/pub/linux/packages/laptops/apm)
> working for an ELF compiled kernel?

> The obvious problem is symbol reference from assembler that has an
> underscore appended - removing the underscore allows the patched kernel
> to compile but it bombs out on booting...

> Tony Robinson

Check out the Linux Laptop Home Page
(http://www.cs.utexas.edu/users/kharker/linux-laptop/).  There are newer
versions of the APM kernel patch available and maintained by Rik Faith

will help or not (I'm still non-ELF myself) but it's worth a look.

---------------------------------------------------------------------

University of Texas at Austin                  
Department of the Computer Sciences               Amateur call: N1PVB
Taylor Hall TAY 2.124      
Austin, TX 78712-1188 USA     http://www.cs.utexas.edu/users/kharker/
---------------------------------------------------------------------

 
 
 

1. Compile ELF kernel under a.out kernel?

As a simple question:  Can I compile an ELF kernel safely while using
an ELF filesystem booted under an old a.out kernel (with ELF support)?

Gory details:  I'm trying to upgrade to ELF, going from Slackware 2.2 to
Slackware 3.0.  All of the SCSI bootdisks come with a kernel with
PCI support compiled in, and the PCI probing crashes my DPT 2021 SCSI
controller.  So I made a boot disk using the 1.2.13 a.out kernel from
Slackware 2.2 (no PCI support).  Worked fine, installed fine.  Now, can
I compile an ELF kernel from this system while it is being run by the old
a.out kernel, or will there be problems?

Thanks for the help.
--

2. 2.2-STABLE: Messed up lines in vmstat -i

3. 2.4.19-ac1 and later: kernel BUG in apm.c:899 (SMP, apm=power-off)

4. SRGP

5. Wcl ELF and compiling ELF libs?

6. matsusshita cd-rom driver

7. Problem with NetTools & WuFTP compiled at Linux Kernel 2.0.x / ELF

8. selective ls

9. can gcc 2.6.3 compile NON-ELF kernel?

10. Problem: Compiling kernel w/ gcc-elf

11. Problem with compiling modules with ELF 1.2.13 kernel

12. error compiling kernel after upgraded to gcc 2.7.0 and elf lib 5.0.9

13. Kernel ELF compile dies.